# Logseq Installer

Das Skript vereinfacht den Installations- bzw. Aktualisierungprozess von Logseq unter Linux und reiht die Applikation ins Startmenü ein.

Den Logseq Installer startest Du mit folgendem Aufruf in einem Terminal:

```bash
wget -qO - https://git.tim-peters.org/Tim/Logseq-Installer/raw/branch/main/logseq-install.sh | bash
```

### Programmaufruf

```
Logseq Installer
================
Erlaubte Optionen:

  -h | --hilfe      ---  Zeigt diese Hilfe an
  -e | --entfernen  ---  Deinstalliert Logseq
  -r | --root       ---  Erlaubt die Installation als root
```

![](./Screenshot.png)

### Logseq per Tastenkürzel starten

Das Skript erstellt einen symbolischen Link mit fixen Dateinamen, der auf die ausführbare Logseq Datei verweist:

```bash
~/.local/bin/Logseq
```

Dieser symbolische Link kann beim Xfce Desktop beispielsweise dazu verwendet werden, Logseq mit einem selbst gewählten Tastenkürzel zu starten (Menü / Einstellungen / Tastatur / Tastenkürzel für Anwendungen).
